Skip to main content
GET
/
device
/
status
Retrieve Device Status
curl --request GET \
  --url https://api.getmelody.io/device/status \
  --header 'Authorization: Bearer <token>'
{
  "device_time": 1723251774000,
  "battery_level": 42,
  "wifi_rssi": 1,
  "battery_voltage": 3.7,
  "temperature_sensor_1": 22.5,
  "temperature_sensor_2": 23.1,
  "wifi_connected": true,
  "ble_connected": false,
  "charging_status": 0
}

Authorizations

Authorization
string
header
required

Device Token for SDK operations. Obtain via: GET /api/haptics/device/device_token Format: {device_id}-{1|2}-{random} Note: ApiToken (from POST /device/otp/confirm) can also be used for most SDK endpoints.

Response

200 - application/json

OK

device_time
integer<int64>
required

The current time of the device. Epoch time in milliseconds.

Example:

1723251774000

battery_level
integer<int32>
required

The current battery level of the device. Range: 0 to 100.

Example:

42

wifi_rssi
integer<int32>
required

The current WiFi signal strength of the device. Range: -100 to 10 dB.

Example:

1

battery_voltage
number<float>
required

The current battery voltage.

Example:

3.7

temperature_sensor_1
number<float>
required

Temperature reading from sensor 1 in Celsius.

Example:

22.5

temperature_sensor_2
number<float>
required

Temperature reading from sensor 2 in Celsius.

Example:

23.1

wifi_connected
boolean
required

Indicates if the device is connected to WiFi.

Example:

true

ble_connected
boolean
required

Indicates if the device is connected to BLE.

Example:

false

charging_status
integer<int32>

Charging status of the device.

  • 0: Not charging
  • 1: Charging
  • 2: Charged
Example:

0